public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Winston" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/grass/
Date: Sat, 17 Oct 2015 17:39:24 +0000 (UTC)	[thread overview]
Message-ID: <1445103455.36f6a17dad0bbc976682e88c849da5a7682d7e4f.amynka@gentoo> (raw)

commit:     36f6a17dad0bbc976682e88c849da5a7682d7e4f
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 17 17:37:35 2015 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Sat Oct 17 17:37:35 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36f6a17d

sci-geosciences/grass: revbump to -7.0.1-r1 wrt the gentoo bugs. By wraeth.

Add missing dependencies, reset USE flag to set the gui, fix calls to
wrong python version and shebangs, hardcode configure options to
ensure runtime operations, all changes written by proxy maintainer

Gentoo bugs: #541622 #563264

Package-Manager: portage-2.2.20.1

 sci-geosciences/grass/grass-7.0.1-r1.ebuild | 261 ++++++++++++++++++++++++++++
 1 file changed, 261 insertions(+)

diff --git a/sci-geosciences/grass/grass-7.0.1-r1.ebuild b/sci-geosciences/grass/grass-7.0.1-r1.ebuild
new file mode 100644
index 0000000..2ff57fc
--- /dev/null
+++ b/sci-geosciences/grass/grass-7.0.1-r1.ebuild
@@ -0,0 +1,261 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite(-)?"
+WANT_AUTOCONF="2.1"
+
+inherit eutils gnome2 multilib python-single-r1 versionator wxwidgets autotools
+
+MY_PM=${PN}$(get_version_component_range 1-2 ${PV})
+MY_PM=${MY_PM/.}
+MY_P=${P/_rc/RC}
+
+DESCRIPTION="A free GIS with raster and vector functionality, as well as 3D vizualization"
+HOMEPAGE="http://grass.osgeo.org/"
+SRC_URI="http://grass.osgeo.org/${MY_PM}/source/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="7"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="X blas cxx fftw gdal geos lapack mysql netcdf nls odbc opencl opengl openmp png postgres readline sqlite threads tiff truetype"
+
+RDEPEND="${PYTHON_DEPS}
+	>=app-admin/eselect-1.2
+	media-libs/libprojectm
+	sci-libs/proj
+	sci-libs/xdrfile
+	sys-libs/gdbm
+	sys-libs/ncurses:0=
+	sys-libs/zlib
+	fftw? ( sci-libs/fftw:3.0 )
+	gdal? ( sci-libs/gdal )
+	geos? ( sci-libs/geos )
+	blas? ( virtual/blas
+		sci-libs/cblas-reference )
+	lapack? ( virtual/lapack )
+	mysql? ( virtual/mysql )
+	netcdf? ( sci-libs/netcdf )
+	odbc? ( dev-db/unixODBC )
+	opencl? ( virtual/opencl )
+	opengl? ( virtual/opengl )
+	png? ( media-libs/libpng:0= )
+	postgres? ( >=dev-db/postgresql-8.4:= )
+	readline? ( sys-libs/readline:0= )
+	sqlite? ( dev-db/sqlite:3 )
+	tiff? ( media-libs/tiff:0= )
+	truetype? ( media-libs/freetype:2 )
+	X? (
+		>=dev-python/wxpython-2.8.10.1:2.8[cairo,opengl?]
+		x11-libs/cairo[X,opengl?]
+		x11-libs/libICE
+		x11-libs/libSM
+		x11-libs/libX11
+		x11-libs/libXaw
+		x11-libs/libXext
+		x11-libs/libXmu
+		x11-libs/libXp
+		x11-libs/libXpm
+		x11-libs/libXt
+	)"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	sys-devel/flex
+	sys-devel/gettext
+	sys-devel/bison
+	X? (
+		dev-lang/swig
+		x11-proto/xextproto
+		x11-proto/xproto
+	)"
+
+S="${WORKDIR}/${MY_P}"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	opengl? ( X )
+"
+
+pkg_setup() {
+	if use lapack; then
+		local mylapack
+		mylapack=$(eselect lapack show) || die
+		if [[ -z "${mylapack/.*reference.*/}" ]] && \
+			[[ -z "${mylapack/.*atlas.*/}" ]]; then
+			ewarn "You need to set lapack to atlas or reference. Do:"
+			ewarn "   eselect lapack set <impl>"
+			ewarn "where <impl> is atlas, threaded-atlas or reference"
+			die "setup failed"
+		fi
+	fi
+
+	if use blas; then
+		local myblas
+		myblas=$(eselect blas show) || die
+		if [[ -z "${myblas/.*reference.*/}" ]] && \
+			[[ -z "${myblas/.*atlas.*/}" ]]; then
+			ewarn "You need to set blas to atlas or reference. Do:"
+			ewarn "   eselect blas set <impl>"
+			ewarn "where <impl> is atlas, threaded-atlas or reference"
+			die "setup failed"
+		fi
+	fi
+
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Fix undefined reference to errno in lib/raster/open.c
+	# see http://trac.osgeo.org/grass/changeset/66398
+	epatch "${FILESDIR}/${P}-include-errno.patch"
+
+	# Fix undeclared variable if OSG is disabled
+	epatch "${FILESDIR}/${P}-declare-inespg.patch"
+
+	# Fix unversioned python calls
+	local pyver=${EPYTHON/python/}
+	sed -e "s:GRASS_PYTHON=.*:&${pyver}:" -i "${S}/lib/init/grass.sh" || die
+	sed -e "s:= python:&${pyver}:" -i "${S}/include/Make/Platform.make.in" || die
+
+	epatch_user
+	eautoconf
+
+	python_fix_shebang "${S}"
+}
+
+src_configure() {
+	if use X; then
+		WX_BUILD=yes
+		WX_GTK_VER=2.8
+		need-wxwidgets unicode
+	fi
+
+	econf \
+		--enable-shared \
+		--disable-w11 \
+		$(use_with cxx) \
+		$(use_with tiff) \
+		$(use_with png) \
+		$(use_with postgres) \
+		$(use_with mysql) \
+		$(use_with mysql mysql-includes "${ROOT}usr/include/mysql") \
+		$(use_with mysql mysql-libs "${ROOT}usr/$(get_libdir)/mysql") \
+		$(use_with sqlite) \
+		$(use_with opengl) \
+		$(use_with odbc) \
+		$(use_with fftw) \
+		$(use_with blas) \
+		$(use_with lapack) \
+		$(use_with X cairo) \
+		$(use_with truetype freetype) \
+		$(use_with truetype freetype-includes "${ROOT}usr/include/freetype2") \
+		$(use_with nls) \
+		$(use_with readline) \
+		--without-opendwg \
+		--with-regex \
+		$(use_with threads pthread) \
+		$(use_with openmp) \
+		$(use_with opencl) \
+		$(use_with gdal gdal "${ROOT}usr/bin/gdal-config") \
+		--without-liblas \
+		$(use_with X wxwidgets "${WX_CONFIG}") \
+		$(use_with netcdf netcdf "${ROOT}usr/bin/nc-config") \
+		$(use_with geos geos "${ROOT}usr/bin/geos-config") \
+		--with-proj-includes="${ROOT}usr/include/libprojectM" \
+		--with-proj-libs="${ROOT}usr/$(get_libdir)" \
+		--with-proj-share="${ROOT}usr/share/proj/" \
+		$(use_with X x)
+}
+
+src_compile() {
+	# we don't want to link against embedded mysql lib
+	emake MYSQLDLIB=""
+}
+
+src_install() {
+	emake DESTDIR="${D}" \
+		INST_DIR="${D}usr/${MY_PM}" \
+		prefix="${D}usr" BINDIR="${D}usr/bin" \
+		PREFIX="${D}usr/" \
+		install
+
+	pushd "${D}usr/${MY_PM}" &> /dev/null
+
+	# fix docs
+	dodoc AUTHORS CHANGES
+	dohtml -r docs/html/*
+	rm -rf docs/ || die
+	rm -rf {AUTHORS,CHANGES,COPYING,GPL.TXT,REQUIREMENTS.html} || die
+
+	# manuals
+	dodir /usr/share/man/man1
+	rm -rf man/ || die
+
+	# translations
+	if use nls; then
+		dodir /usr/share/locale/
+		mv locale/* "${D}usr/share/locale/" || die
+		rm -rf locale/ || die
+		# pt_BR is broken
+		mv "${D}usr/share/locale/pt_br" "${D}usr/share/locale/pt_BR" || die
+	fi
+
+	popd &> /dev/null
+
+	# place libraries where they belong
+	mv "${D}usr/${MY_PM}/lib/" "${D}usr/$(get_libdir)/" || die
+
+	# place header files where they belong
+	mv "${D}usr/${MY_PM}/include/" "${D}usr/include/" || die
+	# make rules are not required on installed system
+	rm -rf "${D}usr/include/Make" || die
+
+	# mv remaining gisbase stuff to libdir
+	mv "${D}usr/${MY_PM}" "${D}usr/$(get_libdir)" || die
+
+	# get proper folder for grass path in script
+	local gisbase
+	gisbase="${ROOT}usr/$(get_libdir)/${MY_PM}"
+	sed -e "s:gisbase = \".*:gisbase = \"${gisbase}\":" \
+		-i "${D}usr/bin/${MY_PM}" || die
+
+	# get proper fonts path for fontcap
+	sed -i \
+		-e "s|${D}usr/${MY_PM}|${EPREFIX}usr/$(get_libdir)/${MY_PM}|" \
+		"${D}usr/$(get_libdir)/${MY_PM}/etc/fontcap" || die
+
+	# set proper python interpreter
+	sed -e "s:= \"python\":= \"${EPYTHON}\":" -i "${D}usr/bin/${MY_PM}" || die
+
+	if use X; then
+		local GUI="-gui"
+		[[ ${WX_BUILD} == yes ]] && GUI="-wxpython"
+		make_desktop_entry "/usr/bin/${MY_PM} ${GUI}" "${PN}" "${PN}-48x48" "Science;Education"
+		doicon gui/icons/${PN}-48x48.png
+	fi
+
+	# install .pc file so other apps know where to look for grass
+	insinto /usr/$(get_libdir)/pkgconfig/
+	doins grass.pc
+
+	# fix weird +x on tcl scripts
+	find "${D}" -name "*.tcl" -exec chmod +r-x '{}' \;
+}
+
+pkg_postinst() {
+	if use X; then
+		fdo-mime_desktop_database_update
+		gnome2_icon_cache_update
+	fi
+}
+
+pkg_postrm() {
+	if use X; then
+		fdo-mime_desktop_database_update
+		gnome2_icon_cache_update
+	fi
+}
\ No newline at end of file


             reply	other threads:[~2015-10-17 17:39 UTC|newest]

Thread overview: 135+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-17 17:39 Amy Winston [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-10-18  8:14 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/grass/ Pacho Ramos
2015-10-18 10:31 Amy Winston
2015-10-18 10:31 Amy Winston
2015-10-22  4:37 Ian Delaney
2015-10-24  5:57 Ian Delaney
2015-10-24 13:58 Amy Winston
2015-10-28 15:04 Amy Winston
2015-10-30  6:19 Jeroen Roovers
2015-12-01  8:38 Ian Delaney
2015-12-26 22:31 Amy Winston
2015-12-26 22:31 Amy Winston
2016-03-14 23:37 Sam Jorna
2016-03-15 23:26 Sam Jorna
2016-06-06  7:00 Sam Jorna
2016-11-26  1:07 Sam Jorna
2016-11-30  2:29 Sam Jorna
2017-01-11  1:51 Sam Jorna
2017-01-11  1:51 Sam Jorna
2017-04-18 23:25 Sam Jorna
2017-04-18 23:25 Sam Jorna
2017-05-24  7:06 Michael Weber
2018-03-05 22:14 Andreas Sturmlechner
2018-04-01 22:27 Matt Turner
2018-04-10  1:19 Sam Jorna
2018-05-24  9:36 Amy Liffey
2018-05-24  9:36 Amy Liffey
2018-09-09 15:41 Amy Liffey
2019-02-21 10:29 Andreas Sturmlechner
2019-02-21 10:29 Andreas Sturmlechner
2019-07-05  8:22 Benda XU
2020-01-16  6:39 Michał Górny
2020-01-22 21:50 Michał Górny
2020-02-08 16:53 David Seifert
2020-02-09 16:36 Michał Górny
2020-10-04 15:24 David Seifert
2020-11-25  8:16 Joonas Niilola
2020-12-29 20:20 Sam James
2021-01-06  6:34 Sam James
2021-01-20 14:13 Joonas Niilola
2021-02-14 14:28 Joonas Niilola
2021-03-06 14:07 Joonas Niilola
2021-03-07 15:17 Joonas Niilola
2021-03-07 15:54 Thomas Deutschmann
2021-03-07 19:46 Sam James
2021-03-08  7:35 Joonas Niilola
2021-05-29 17:47 Sam James
2021-08-06  4:10 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:37 Sam James
2021-10-20  2:42 Sam James
2021-10-20  2:42 Sam James
2021-12-07  7:26 Agostino Sarubbo
2021-12-09 16:24 Agostino Sarubbo
2021-12-28 22:00 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-02-26  2:29 Sam James
2022-02-26  2:29 Sam James
2022-03-10  7:51 Jakov Smolić
2022-03-10  7:51 Jakov Smolić
2022-04-06  6:32 Agostino Sarubbo
2022-04-06  6:32 Agostino Sarubbo
2022-04-18  7:15 Sam James
2022-05-12 14:56 Andrew Ammerlaan
2022-05-12 14:56 Andrew Ammerlaan
2022-05-22 20:08 Jakov Smolić
2022-05-22 20:08 Jakov Smolić
2022-06-04  3:58 Sam James
2022-06-15  9:46 Jakov Smolić
2022-06-15 18:17 Sam James
2022-07-07 19:44 Sam James
2022-07-07 19:44 Sam James
2022-07-15  1:56 Sam James
2022-08-27 10:53 Sam James
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-10-09 18:29 Andreas Sturmlechner
2022-10-12 23:32 Sam James
2022-11-18  8:23 Joonas Niilola
2022-12-16  1:40 Sam James
2022-12-16  4:30 Sam James
2022-12-18  7:46 Sam James
2023-02-01  7:23 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-03-07  9:09 Joonas Niilola
2023-03-19 17:14 David Seifert
2023-05-01  9:22 Sam James
2023-05-01  9:22 Sam James
2023-05-06  3:52 Sam James
2023-05-06  3:52 Sam James
2023-06-15  9:04 Andrew Ammerlaan
2023-07-16  6:47 Viorel Munteanu
2023-07-16 13:26 Sam James
2023-07-16 13:26 Sam James
2023-08-24 17:46 Sam James
2023-10-04 21:56 Conrad Kostecki
2023-10-17  7:57 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-27  8:13 Andrew Ammerlaan
2023-11-30  3:07 Sam James
2024-01-05  6:42 Sam James
2024-03-15  6:47 Sam James
2024-03-20 22:12 Andrew Ammerlaan
2024-04-23 21:33 Sam James
2024-07-18  7:41 Joonas Niilola
2024-07-18  7:41 Joonas Niilola
2024-07-18  7:41 Joonas Niilola
2024-07-31 19:14 Arthur Zamarin
2024-08-10  7:24 Joonas Niilola
2024-08-10  7:24 Joonas Niilola
2024-08-25 20:27 Eli Schwartz
2024-08-25 20:27 Eli Schwartz
2024-09-28  9:38 Sam James
2025-02-04 16:54 Sam James
2025-02-16 16:27 Sam James
2025-02-19 11:05 Sam James
2025-02-27  6:01 Sam James
2025-02-27  6:01 Sam James
2025-03-10  6:08 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445103455.36f6a17dad0bbc976682e88c849da5a7682d7e4f.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox